Loading...
Searching...
No Matches
Alembic::AbcMaterial::ALEMBIC_VERSION_NS::MaterialFlatten::ParameterEntry Struct Reference

`#include <MaterialFlatten.h>`

Collaboration diagram for Alembic::AbcMaterial::ALEMBIC_VERSION_NS::MaterialFlatten::ParameterEntry:
[legend]

## Public Member Functions

| ParameterEntry ()
| ParameterEntry (const std::string &iName, Abc::ICompoundProperty iParent, const AbcCoreAbstract::PropertyHeader *iHeader)
bool | operator== (const ParameterEntry &iRhs) const

## Public Attributes

std::string | name
Abc::ICompoundProperty | parent
const AbcCoreAbstract::PropertyHeader * | header

## Detailed Description

Definition at line 102 of file MaterialFlatten.h.

## Constructor & Destructor Documentation

## ParameterEntry() [1/2]

Alembic::AbcMaterial::ALEMBIC_VERSION_NS::MaterialFlatten::ParameterEntry::ParameterEntry | ( |  | ) |

inline

Definition at line 104 of file MaterialFlatten.h.

References header.

Referenced by operator==().

Here is the caller graph for this function:

## ParameterEntry() [2/2]

Alembic::AbcMaterial::ALEMBIC_VERSION_NS::MaterialFlatten::ParameterEntry::ParameterEntry | ( | const std::string & | iName,
|  | Abc::ICompoundProperty | iParent,
|  | const AbcCoreAbstract::PropertyHeader * | iHeader )

inline

Definition at line 109 of file MaterialFlatten.h.

References header, name, and parent.

## Member Function Documentation

## operator==()

bool Alembic::AbcMaterial::ALEMBIC_VERSION_NS::MaterialFlatten::ParameterEntry::operator== | ( | const ParameterEntry & | iRhs | ) | const

inline

Definition at line 118 of file MaterialFlatten.h.

References ParameterEntry(), header, name, and parent.

Here is the call graph for this function:

## Member Data Documentation

## header

const AbcCoreAbstract::PropertyHeader* Alembic::AbcMaterial::ALEMBIC_VERSION_NS::MaterialFlatten::ParameterEntry::header

Definition at line 127 of file MaterialFlatten.h.

Referenced by ParameterEntry(), ParameterEntry(), and operator==().

## name

std::string Alembic::AbcMaterial::ALEMBIC_VERSION_NS::MaterialFlatten::ParameterEntry::name

Definition at line 125 of file MaterialFlatten.h.

Referenced by ParameterEntry(), and operator==().

## parent

Abc::ICompoundProperty Alembic::AbcMaterial::ALEMBIC_VERSION_NS::MaterialFlatten::ParameterEntry::parent

Definition at line 126 of file MaterialFlatten.h.

Referenced by ParameterEntry(), and operator==().

The documentation for this struct was generated from the following file:

- opt/local/include/Alembic/AbcMaterial/MaterialFlatten.h